Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	highly effective data compression algorithm for bi-level high-resolution images.
Name:		jbigkit
Version:	2.0
Release:	1
License:	GNU/GPL 
URL:		http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-build.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	sed gcc

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
highly effective data compression algorithm for bi-level high-resolution images such as fax pages or scanned documents.

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}
%patch0 -p1

%build
make CC=gcc
LD_LIBRARY_PATH="`pwd`"/libjbig make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 pbmtools/jbgtopbm $RPM_BUILD_ROOT%_bindir/
install -m 755 pbmtools/pbmtojbg $RPM_BUILD_ROOT%_bindir/
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m 655 pbmtools/jbgtopbm.1 $RPM_BUILD_ROOT%_mandir/man1/
install -m 655 pbmtools/pbmtojbg.1 $RPM_BUILD_ROOT%_mandir/man1/
mkdir -p $RPM_BUILD_ROOT%_includedir
install -m 655 libjbig/jbig.h $RPM_BUILD_ROOT%_includedir/
install -m 655 libjbig/jbig_ar.h $RPM_BUILD_ROOT%_includedir/
mkdir -p $RPM_BUILD_ROOT%_libdir
install -m 655 libjbig/libjbig.a $RPM_BUILD_ROOT%_libdir/
install -m 655 libjbig/libjbig.so $RPM_BUILD_ROOT%_libdir/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/jbgtopbm
%{_bindir}/pbmtojbg
%{_libdir}/libjbig.so
%{_mandir}/man1/jbgtopbm.1.gz
%{_mandir}/man1/pbmtojbg.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/jbig.h
%{_includedir}/jbig_ar.h
%{_libdir}/libjbig.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.9.3-1
- Version update 
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.6-1
- Initial Release
